//
//  FriendsRouter.swift
//  VK Tosters
//
//  Created programmist_np on 21/01/2020.
//  Copyright © 2020 programmist_np. All rights reserved.
//
//  Template generated by Juanpe Catalán @JuanpeCMiOS
//

import UIKit

class FriendsRouter: FriendsWireframeProtocol {
    
    weak var viewController: FriendsViewProtocol?
    var baseViewController: UIViewController?
    
    static func createModule(viewController: FriendsViewController) {
        let interactor = FriendsInteractor()
        let router = FriendsRouter()
        let presenter = FriendsPresenter(interface: viewController, interactor: interactor, router: router)
        
        viewController.presenter = presenter
        interactor.presenter = presenter
        router.viewController = viewController
        presenter.interactor = interactor
        router.baseViewController = viewController
    }
    
    func openProfile(userId: Int) {
        self.baseViewController?.navigationController?.pushViewController(ProfileViewController(userId: userId), animated: true)
    }
    
    func openChat(from conversation: Conversation) {
        let chatViewController = DialogViewController(conversation: conversation)
        chatViewController.hidesBottomBarWhenPushed = true
        self.baseViewController?.navigationController?.pushViewController(chatViewController, animated: true)
    }
}
